import Vue from "vue"
import App from "./App.vue"
import router from "./router"
import ViewUI from "view-design"
import "../src/assets/styles/common.scss"
import "../src/assets/styles/index.less"
import "@/assets/icons/index.css"
import store from "./store"
import * as echarts from 'echarts';
import Driver from 'driver.js';
import 'driver.js/dist/driver.min.css';
Vue.prototype.echarts = echarts
	Vue.use(echarts)
import helper from "@/utils/helper.js"
// 实际打包时应该不引入mock
/* eslint-disable */
if (process.env.NODE_ENV !== "production") require("@/mock")
// import http from "../public/static/iframe/js/api";
Vue.use(ViewUI)

// Vue.use(TreeTable)
Vue.config.productionTip = false
// Vue.prototype.$httpx = httpx
//Vue.prototype.$axios = axios;
Vue.prototype.$helper = helper
// 将方法写入到 Vue 原型上
Vue.prototype.$driver = new Driver({
  opacity: 0.55, 
	doneBtnText: '完成', // 最后一个按钮的文本
  	closeBtnText: '关闭', // 关闭按钮文本
  	stageBackground: 'transparent', // 高亮显示的元素的背景色
  	nextBtnText:'知道啦！',// 下一步
  	prevBtnText: '上一步', // 上一步
})
import { API } from "../src/axios/api/index.js"
Vue.prototype.$API = API
new Vue({
  router,
  store,
  data: {
    eventHub: new Vue(),
  },
  render: (h) => h(App),
}).$mount("#app")
